Package de.uplanet.lucy.server.connector
Schnittstelle IServerBridgeRequest
public interface IServerBridgeRequest
-
Methodenübersicht
Modifizierer und TypMethodeBeschreibungbooleancontainsKey(String p_strKey) Test if the request contains the specified variable.Veraltet.This method will be removed in future versions of Intrexx.Get a request variable.Get a request variable.Get an unmodifiable set that contains all request variables.de.uplanet.lucy.server.connector.IUploadFilesGet the files that were uploaded with this request.booleanCheck if files were uploaded with this request.voidVeraltet.This method will be removed in future versions of Intrexx.voidVeraltet.This method will be removed in future versions of Intrexx.voidVeraltet.This method will be removed in future versions of Intrexx.voidVeraltet.This method will be removed in future versions of Intrexx.intsize()Veraltet.This method will be removed.
-
Methodendetails
-
get
Get a request variable.- Parameter:
p_strKey- The key.- Gibt zurück:
- The value that is referenced by
p_strKey, ornullif there is no such request variable.
-
get
Get a request variable.- Parameter:
p_strKey- The key.p_strFallback- The fallback value.- Gibt zurück:
- The value that is referenced by
p_strKey, orp_objFallbackif there is no such request variable.
-
put
Veraltet.This method will be removed in future versions of Intrexx.Set a request variable.- Parameter:
p_strKey- The name of the request variable.p_strValue- The value of the request variable.
-
remove
Veraltet.This method will be removed in future versions of Intrexx.Remove the specified variable from the request.- Parameter:
p_strKey- The name of the variable to remove.
-
containsKey
Test if the request contains the specified variable.- Parameter:
p_strKey- The name of the variable.- Gibt zurück:
trueif the request contains the specified variable.
-
getEntrySet
Get an unmodifiable set that contains all request variables.- Gibt zurück:
- A set containing
Map.Entrys that contain requests variable name-value-pairs.
-
pushVariables
Veraltet.This method will be removed in future versions of Intrexx.Push request variables on the stack. -
popVariables
Veraltet.This method will be removed in future versions of Intrexx.Pop request variables from the stack. -
createCopy
Veraltet.This method will be removed in future versions of Intrexx.Create a copy of the topmost state of this request.The request created will have an empty stack.
- Gibt zurück:
- The copy.
-
size
Veraltet.This method will be removed.- Gibt zurück:
- Returns the number of request parameters in this request.
-
hasUploadFiles
boolean hasUploadFiles()Check if files were uploaded with this request.- Gibt zurück:
trueif files were uploaded with this request, orfalseotherwise.
-
getUploadFiles
de.uplanet.lucy.server.connector.IUploadFiles getUploadFiles()Get the files that were uploaded with this request.- Gibt zurück:
- The files that were uploaded with this request, or
null.
-